Summary: A GUI tool for configuring Samba, the SMB server.
Name: GnoSamba
Version: 0.3.3
Release: 11
Copyright: GPL 
Group: Applications/System
Source0: gnosamba-%{version}.tar.bz2
Source1: GnoSamba.desktop
Patch0: gnosamba-0.3.3-smb.confpath.patch
Patch1: GnoSamba-manpath.patch
URL: http://www.open-systems.com/gtksamba.html
BuildRoot:/var/tmp/GnoSamba-root
Excludearch: alpha

%description
GnoSamba is a GUI tool for configuring Samba, the SMB server. GnoSamba
can read, edit and write the default Samba configuration file
(/etc/smb.conf) or an alternative configuration file. Since it is
still in development, not all functionality is supported at this
point. You'll need to install the GNOME libraries, since GnoSamba
requires them in order to run.

%prep
%setup -q -n gnosamba-%{version}
%patch0 -p1 -b .orig
%patch1 -p1 -b .manpath

%build
%configure --sysconfdir=%{_sysconfdir}/samba
make RPM_OPTS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/System/
install -m644 $RPM_SOURCE_DIR/GnoSamba.desktop \
	$RPM_BUILD_ROOT/usr/share/gnome/apps/System/GnoSamba.desktop

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING NEWS
/usr/bin/gnosamba
/usr/share/gnome/apps/System/GnoSamba.desktop


%changelog
* Mon Oct 16 2000 Tim Powers <timp@redhat.com> 
- fix bug #18857 for bad manpaths when using help

* Mon Aug 21 2000 Tim Powers <timp@redhat.com>
- fixed bug #16654

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Tim Powers <timp@redhat.com>
- fixed install routine so it builds for regular users

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- bzipped source

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- excludearch alpha due to fp errors (dumps core).

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added GnoSamba.desktop

* Thu Jul 15 1999 Tim Powers <timp@redhat.com>
- upgraded to gnosamba-0.3.3(name changed for this version)
- strip binary
- built for 6.1

* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- upgareded to %{version} to make it build with the new gtk

* Fri Nov 24 1998 Michael Maher <mikee@redhat.com>
- built package
